Bug 482773 - gnome-screenshot crashes on some windows
gnome-screenshot crashes on some windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 19:14 EST by Bojan Smojver
Modified: 2009-12-18 02:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash dump, as seen by bug buddy (debuginfo for gnome-utils installed) (8.23 KB, text/plain)
2009-01-27 19:14 EST, Bojan Smojver
no flags Details
Crash dump, as seen by bug buddy (all debuginfos installed) (11.63 KB, text/plain)
2009-02-16 23:33 EST, Bojan Smojver
no flags Details
Crash dump, as seen by gdb (2.33 KB, text/plain)
2009-02-16 23:35 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2009-01-27 19:14:12 EST
Created attachment 330183 [details]
Crash dump, as seen by bug buddy (debuginfo for gnome-utils installed)

Description of problem:
When screenshot is taken of some windows (e.g. Citrix ICA), the application crashes.

Version-Release number of selected component (if applicable):
2.24.1-1.fc10

How reproducible:
Always.

Steps to Reproduce:
1. Application, Accessories, Take Screenshot.
2. Grab the current window, delay 1 second.
  
Actual results:
See crash dump.

Expected results:
This used to work.

Additional info:
Crash dump attached.
Comment 1 Jon Dufresne 2009-02-16 20:50:21 EST
Thank you for taking the time to report this bug. It looks like you are missing some debuginfo in that stack trace. Please make sure you have all debuginfo packages installed and see http://fedoraproject.org/wiki/StackTraces for more information about getting a useful stack trace. Thank you.
Comment 2 Bojan Smojver 2009-02-16 21:21:29 EST
Which debuginfo packages would you like to see installed?
Comment 3 Jon Dufresne 2009-02-16 22:23:55 EST
You need all of the debuginfos involved in your stack trace. Where your stack trace has "No symbol table info available" and also with "0x0073a614 in ?? ()" tells me that you are missing debuginfos. Typically you can install them all by doing:

$ su -c "debuginfo-install gnome-utils"

Then afterwards, when you run gdb to get the stack trace, gdb will tell you if there are any missing debuginfos and what packages to install to get them. See http://fedoraproject.org/wiki/StackTraces for more information.

Thanks.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bojan Smojver 2009-02-16 23:33:24 EST
Created attachment 332168 [details]
Crash dump, as seen by bug buddy (all debuginfos installed)
Comment 5 Bojan Smojver 2009-02-16 23:35:40 EST
Created attachment 332170 [details]
Crash dump, as seen by gdb
Comment 6 Bojan Smojver 2009-02-16 23:36:26 EST
Hopefully, you should have all you need now.
Comment 7 Bug Zapper 2009-11-18 04:09:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:43:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.